#include "mex.h"
#include "ANN.h"

// This is the MEX implementation of the MATLAB function 'annkdtree_finish'.
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    // Verify the correctness of the number of input and output parameters as well as their type:
    if(nlhs != 0 || nrhs != 1) mexErrMsgTxt("Incorrect Sintax\n\tannkdtree_finish(trees)\n");

    // Delete all trees in "trees":
    int treeCount = mxGetNumberOfElements(prhs[0]);
    double* trees = mxGetPr(prhs[0]);
	for(int i=0; i<treeCount; i++)
	{
		ANNkd_tree* treePtr = (ANNkd_tree*) ((long) (trees[i]));
		if(treePtr) delete treePtr;
	}

    // Finalize the use of the library:
    annClose();
}
